#-*- coding: utf-8 -*-
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |s|
  s.name          = "baseline_red_agent"
  s.version       = "1.0.1"
  s.date          = "2018-11-24"
  s.summary       = "Baseline Red Agent"
  s.description   = "Agent for Baseline Red."
  s.authors       = ["Jim Jones"]
  s.email         = "jim@baseline.red"

  s.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  s.bindir        = "exe"
  s.executables   = s.files.grep(%r{^exe/}) { |f| File.basename(f) }
  s.require_paths = ["lib"]

  s.homepage      = "https://baseline.red"
  s.license       = "MIT"

  s.add_development_dependency "rake", "12.0.0"
  s.add_development_dependency "rspec", "3.6.0"
  s.add_development_dependency "pry", "0.10.4"
  s.add_development_dependency "simplecov", "0.14.1"
  s.add_runtime_dependency "msgpack"
  s.add_runtime_dependency "vmstat", "2.3.0"
  s.add_runtime_dependency "sys-proctable", "1.2.1"
end
